Bug 125379 - xscreensaver-demo Help button calls gnome-url-show or gnome-moz-remote
xscreensaver-demo Help button calls gnome-url-show or gnome-moz-remote
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-06-05 11:07 EDT by petrosyan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 14:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2004-06-05 11:07:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When pressing xscreensaver-demo Help button it tries to call
gnome-url-show or gnome-moz-remote
gnome-moz-remote is part of gnome-libs-1.4.1.2.90-40 package, and if
that package is not installed xscreensaver Help button fails with the
following errors:
sh: line 1: gnome-url-show: command not found
sh: line 1: gnome-moz-remote: command not found

There are 2 solutions to this problem:
1. make xscreensaver package depend on gnome-libs-1.4.1.2.90-40
2. use the newer gnome-open program from libgnome-2.6.0-3

Version-Release number of selected component (if applicable):
xscreensaver-4.14-5

How reproducible:
Always

Steps to Reproduce:
1. rpm -e gnome-libs
2. run xscreensaver-demo from the terminal
3. press the Help button
4. see error messages in the terminal:
sh: line 1: gnome-url-show: command not found
sh: line 1: gnome-moz-remote: command not found
Comment 1 petrosyan 2004-06-22 21:05:26 EDT
this bug is still present in xscreensaver-4.16-1
Comment 2 Ray Strode [halfline] 2004-06-23 14:44:39 EDT
I've added a dependency for htmlview and have configured xscreensaver
to use that by default.

Note You need to log in before you can comment on or make changes to this bug.